Package org.drinkless.tdlib

# Class TdApi.StoryArea

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryArea

Enclosing class:
  `TdApi`

public static class TdApi.StoryArea extends TdApi.Object
Describes a clickable rectangle area on a story media.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StoryAreaPosition`
  `position`
  Position of the area.
  `TdApi.StoryAreaType`
  `type`
  Type of the area.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryArea()`
  Describes a clickable rectangle area on a story media.
  `StoryArea(TdApi.StoryAreaPosition position, TdApi.StoryAreaType type)`
  Describes a clickable rectangle area on a story media.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### position

    public TdApi.StoryAreaPosition position
    Position of the area.

  - ### type

    public TdApi.StoryAreaType type
    Type of the area.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryArea

    public StoryArea()
    Describes a clickable rectangle area on a story media.

  - ### StoryArea

    public StoryArea(TdApi.StoryAreaPosition position, TdApi.StoryAreaType type)
    Describes a clickable rectangle area on a story media.
    Parameters:
      `position` - Position of the area.
      `type` - Type of the area.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR